Not-Found Accounts

List accounts from your top account list that could not be matched.

Returns a paginated list of accounts whose enrichment could not resolve a company record (status: not_found). Each item carries the original user_input submitted when the account was added, a partial company object with whatever data was available, and the imported_at timestamp.

Found accounts are available at List accounts.

Not-found accounts

GET/api/v2/top-account-list/accounts/not-found

Query parameters

ParameterTypeRequiredDefaultDescription
pageintegerNo1Page number, starting at 1.
page_sizeintegerNo25Number of accounts per page.

Response headers

HeaderDescription
X-Total-CountTotal number of not-found accounts.
X-PageCurrent page number.
X-Page-SizeNumber of accounts per page.
X-Page-CountTotal number of pages.

Example request

curl "https://api.getsillage.com/api/v2/top-account-list/accounts/not-found?page=1&page_size=25" \
  -H "Authorization: Bearer $SILLAGE_API_KEY"
const response = await fetch(
  'https://api.getsillage.com/api/v2/top-account-list/accounts/not-found?page=1&page_size=25',
  {
    headers: {
      Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
    },
  },
)

const result = await response.json()
import { request } from 'node:https'

const req = request(
  new URL(
    'https://api.getsillage.com/api/v2/top-account-list/accounts/not-found?page=1&page_size=25',
  ),
  {
    headers: {
      Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
    },
  },
  (res) => {
    let data = ''
    res.on('data', (chunk) => {
      data += chunk
    })
    res.on('end', () => {
      console.log(JSON.parse(data))
    })
  },
)

req.end()
import os
import requests

response = requests.get(
    "https://api.getsillage.com/api/v2/top-account-list/accounts/not-found",
    params={"page": 1, "page_size": 25},
    headers={"Authorization": f"Bearer {os.environ['SILLAGE_API_KEY']}"},
    timeout=30,
)
response.raise_for_status()
result = response.json()

Example response

{
  "data": [
    {
      "company": {
        "name": "Unknown Corp",
        "domain": "unknown-corp.example",
        "linkedin_url": null,
        "linkedin_handle": null,
        "logo_url": null,
        "status": "not_found"
      },
      "user_input": {
        "domain": "unknown-corp.example"
      },
      "imported_at": "2026-06-12T08:30:00.000Z"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "total": 1
    }
  }
}

Response fields

FieldTypeDescription
dataarrayPaginated list of not-found accounts.
data[].idstringWorkspace company document id, if a record was created.
data[].companyobjectPartial company data available at enrichment time.
data[].company.statusstringAlways not_found for this endpoint.
data[].user_inputobjectThe original values submitted when this account was added.
data[].user_input.domainstringDomain submitted by the caller, if provided.
data[].user_input.linkedin_urlstringLinkedIn URL submitted by the caller, if provided.
data[].user_input.company_namestringCompany name submitted by the caller, if provided.
data[].imported_atstringISO 8601 timestamp of when this account was imported.
meta.pagination.pageintegerCurrent page number.
meta.pagination.page_sizeintegerAccounts per page.
meta.pagination.page_countintegerTotal number of pages.
meta.pagination.totalintegerTotal number of not-found accounts.

On this page